aboutsummaryrefslogtreecommitdiffstats
path: root/community/mongodb/mongos.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-04-21 14:15:59 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-04-21 14:44:37 +0000
commita86740d743de969471c628c71c75d6d6678ca12c (patch)
tree3413d775d1ecfdebafae7d19b6ca6232aa1dc838 /community/mongodb/mongos.initd
parent24bfdd2da0799ef4557fdc3588a701fcc0f6c8ee (diff)
downloadaports-a86740d743de969471c628c71c75d6d6678ca12c.tar.bz2
aports-a86740d743de969471c628c71c75d6d6678ca12c.tar.xz
community/mongodb: moved from testing
Diffstat (limited to 'community/mongodb/mongos.initd')
-rw-r--r--community/mongodb/mongos.initd45
1 files changed, 45 insertions, 0 deletions
diff --git a/community/mongodb/mongos.initd b/community/mongodb/mongos.initd
new file mode 100644
index 0000000000..a38fc50569
--- /dev/null
+++ b/community/mongodb/mongos.initd
@@ -0,0 +1,45 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mongodb/files/mongos.initd,v 1.3 2013/01/18 11:19:27 ultrabug Exp $
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ -z "${MONGOS_CONFIGDB}" ]; then
+ eerror "MONGOS_CONFIGDB is not defined, check your configuration file !"
+ return 1
+ fi
+ return 0
+}
+
+start() {
+ checkconfig || return 1
+
+ checkpath -d -m 0750 -o "${MONGOS_USER}":mongodb "${MONGOS_RUN}"
+
+ # Listen to MONGOS_IP if configured
+ [ -z "${MONGOS_IP}" ] || MONGOS_OPTIONS="--bind_ip ${MONGOS_IP} ${MONGOS_OPTIONS}"
+
+ local USEROPT="--user"
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --background --start --make-pidfile \
+ --pidfile ${MONGOS_RUN:-/var/run/mongodb}/${SVCNAME}.pid \
+ ${USEROPT} ${MONGOS_USER:-mongodb} \
+ --exec ${MONGOS_EXEC:-/usr/bin/mongos} \
+ -- \
+ --port ${MONGOS_PORT:-27018} \
+ --unixSocketPrefix ${MONGOS_RUN:-/var/run/mongodb} \
+ --logappend --logpath /var/log/mongodb/${SVCNAME}.log \
+ --configdb ${MONGOS_CONFIGDB} \
+ ${MONGOS_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile ${MONGOS_RUN:-/var/run/mongodb}/${SVCNAME}.pid
+ eend $?
+}